unit uEinmal;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Titel: TPanel;
    Label1: TLabel;
    ReiheEin: TEdit;
    Abbruch: TButton;
    Tabelle: TStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure AbbruchClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var i, c : Integer;
begin
  if ReiheEin.Text <>''
     then c := strtoint(ReiheEin.Text)
     else c := 0;
  Tabelle.Cells[1,0]:= '1 x '+inttostr(c);
     Titel.Caption := 'Das kleine 1 x '+inttostr(c);
     for i:= 1 to 10 do
       Tabelle.Cells[0,i]:= inttostr(i)+' x '+ IntToStr(c)+ ' =';
     for i:= 1 to 10 do
       Tabelle.Cells[1,i]:= inttostr(i*c);
end;

procedure TForm1.AbbruchClick(Sender: TObject);
begin
   close;
end;

end.
